> ## Documentation Index
> Fetch the complete documentation index at: https://docs.edgeimpulse.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List device deployment events

> Lists model deployment and rollback events reported by this device, newest first.



## OpenAPI

````yaml /.assets/openapi.yaml get /api/{projectId}/devices/{deviceId}/deployment-events
openapi: 3.0.0
info:
  title: Edge Impulse API
  version: 1.0.0
servers:
  - url: https://studio.edgeimpulse.com/v1
security:
  - ApiKeyAuthentication: []
  - JWTAuthentication: []
  - JWTHttpHeaderAuthentication: []
  - OAuth2: []
paths:
  /api/{projectId}/devices/{deviceId}/deployment-events:
    get:
      tags:
        - Devices
      summary: List device deployment events
      description: >-
        Lists model deployment and rollback events reported by this device,
        newest first.
      operationId: listDeviceDeploymentHistory
      parameters:
        - $ref: '#/components/parameters/ProjectIdParameter'
        - $ref: '#/components/parameters/DeviceIdParameter'
        - $ref: '#/components/parameters/OptionalSinceTimestampParameter'
        - $ref: '#/components/parameters/LimitResultsParameter'
        - $ref: '#/components/parameters/OffsetResultsParameter'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListDeviceDeploymentHistoryResponse'
components:
  parameters:
    ProjectIdParameter:
      name: projectId
      in: path
      required: true
      description: Project ID
      schema:
        type: integer
    DeviceIdParameter:
      name: deviceId
      in: path
      required: true
      description: Device ID
      schema:
        type: string
    OptionalSinceTimestampParameter:
      name: since
      in: query
      required: false
      description: >-
        Inclusive Unix timestamp in milliseconds based on Studio's server
        receive time.
      schema:
        type: integer
        minimum: 0
    LimitResultsParameter:
      name: limit
      in: query
      required: false
      description: Maximum number of results
      schema:
        type: integer
    OffsetResultsParameter:
      name: offset
      in: query
      required: false
      description: >-
        Offset in results, can be used in conjunction with LimitResultsParameter
        to implement paging.
      schema:
        type: integer
  schemas:
    ListDeviceDeploymentHistoryResponse:
      allOf:
        - $ref: '#/components/schemas/GenericApiResponse'
        - type: object
          required:
            - events
            - totalDeploymentEventCount
          properties:
            events:
              type: array
              description: Device deployment events in newest-first order.
              items:
                $ref: '#/components/schemas/DeviceDeploymentEvent'
            totalDeploymentEventCount:
              type: integer
              description: >-
                Total number of deployment events for this device, before
                pagination.
    GenericApiResponse:
      type: object
      required:
        - success
      properties:
        success:
          type: boolean
          description: Whether the operation succeeded
        error:
          type: string
          description: Optional error description (set if 'success' was false)
    DeviceDeploymentEvent:
      type: object
      required:
        - id
        - receivedAt
        - status
      properties:
        id:
          type: integer
          description: Unique identifier for this deployment event.
        receivedAt:
          type: string
          format: date-time
          description: >-
            Date and time when Remote Management received the result from the
            device.
        status:
          type: string
          enum:
            - success
            - failure
          description: Whether the device successfully completed the operation.
        operation:
          type: string
          enum:
            - deploy
            - rollback
          description: >-
            Deployment operation performed by the device. Omitted for legacy
            results that did not report it.
        deploymentVersion:
          type: integer
          description: >-
            Project deployment version targeted by the operation, when reported
            by the device.
        imageDigest:
          type: string
          pattern: ^sha256:[0-9a-f]{64}$
          description: >-
            SHA-256 digest of the runner container image active after a
            successful operation, when reported by the device.
        bundleDigest:
          type: string
          pattern: ^sha256:[0-9a-f]{64}$
          description: >-
            SHA-256 digest of the model artifact or inference bundle active
            after a successful operation, when reported by the device.
        error:
          type: string
          description: Device-reported failure reason. Omitted for successful operations.
  securitySchemes:
    ApiKeyAuthentication:
      type: apiKey
      in: header
      name: x-api-key
    JWTAuthentication:
      type: apiKey
      in: cookie
      name: jwt
    JWTHttpHeaderAuthentication:
      type: apiKey
      in: header
      name: x-jwt-token
    OAuth2:
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: /v1/oauth/authorize
          tokenUrl: /v1/oauth/token
          scopes:
            openid: Access to basic profile information
            email: Access to email address
            profile: Access to full profile information
        implicit:
          authorizationUrl: /v1/oauth/authorize
          scopes:
            openid: Access to basic profile information
            email: Access to email address
            profile: Access to full profile information
        password:
          tokenUrl: /v1/oauth/token
          scopes:
            openid: Access to basic profile information
            email: Access to email address
            profile: Access to full profile information
        clientCredentials:
          tokenUrl: /v1/oauth/token
          scopes:
            openid: Access to basic profile information
            email: Access to email address
            profile: Access to full profile information

````